Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class AnyMatch

    java.lang.Object
      org.apache.muse.ws.dm.muws.impl.ComplexMatch
          org.apache.muse.ws.dm.muws.impl.AnyMatch

All Implemented Interfaces:
  Match, XmlSerializable

public class AnyMatch
extends ComplexMatch

AnyMatch is a ComplexMatch that acts as a conditional OR (||) on all subexpressions.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`AnyMatch(WsResource resource)`
`AnyMatch(WsResource resource, org.w3c.dom.Element xml)`

Method Summary
`protected QName` | `getRootQName()`
`boolean` | `matches(EndpointReference epr)`

Methods inherited from class org.apache.muse.ws.dm.muws.impl.ComplexMatch
`addMatch, getMatches, getWsResource, removeMatch, toXML, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnyMatch

    public AnyMatch(WsResource resource)

### AnyMatch

    public AnyMatch(WsResource resource,
                    org.w3c.dom.Element xml)

Method Detail

### getRootQName

    protected QName getRootQName()

  Specified by:
    `getRootQName` in class `ComplexMatch`
  Returns:
    The name of the XML element that defines the concrete match.

### matches

    public boolean matches(EndpointReference epr)
                    throws SoapFault

  Parameters:
    `epr` - The EPR to another resource which may be the same as this resource.
  Returns:
    True if any of the subexpressions defined by the Match evaluate to 'true'. This is the same as combining them in a logical OR.
  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD